package com.yiqi.common.annotation;

import java.lang.annotation.*;

/**
 * 自定义日志注解
 *
 * @author douya
 * @dateTime 2020/7/23 10:29
 * 1.运行时 使用使用注解
 * 2.注解作用于方法上
 * 3.注解是否将包含在 JavaDoc 中
 */
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.METHOD})
@Documented
public @interface GmLog {

    // 打印日志描述信息
    String value() default "";

    // TODO 是否保存到数据库
    boolean isSave() default false;
}
