package com.yiqi.core.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * 商品规格项
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("goods_spec")
public class GoodsSpec extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 规格ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 商品ID
     */
    private Long goodsId;

    /**
     * 规格名称
     */
    private String name;

    /**
     * 规格名称
     */
    private String vals;

    /**
     * 规格值列表
     */
    @TableField(exist = false)
    private List<String> specValues;
}