package com.yiqi.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import java.io.Serializable;

/**
 * 配置对象 sys_config_record
 *
 * @author douya
 * @date 2024-11-01
 */
@ApiModel("配置")
@TableName("sys_config_record")
@Data
public class SysConfigRecord implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 配置id
     */
    @ApiModelProperty("配置id")
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 字段名称
     */
    @Excel(name = "字段名称")
    @ApiModelProperty("字段名称")
    private String menuName;

    /**
     * 类型(文本框,单选按钮...)
     */
    @Excel(name = "类型(文本框,单选按钮...)")
    @ApiModelProperty("类型(文本框,单选按钮...)")
    private String type;

    /**
     * 表单类型
     */
    @Excel(name = "表单类型")
    @ApiModelProperty("表单类型")
    private String inputType;

    /**
     * 配置分类id
     */
    @Excel(name = "配置分类id")
    @ApiModelProperty("配置分类id")
    private Integer configTabId;

    /**
     * 规则 单选框和多选框
     */
    @Excel(name = "规则 单选框和多选框")
    @ApiModelProperty("规则 单选框和多选框")
    private String parameter;

    /**
     * 上传文件格式1单图2多图3文件
     */
    @Excel(name = "上传文件格式1单图2多图3文件")
    @ApiModelProperty("上传文件格式1单图2多图3文件")
    private Integer uploadType;

    /**
     * 规则
     */
    @Excel(name = "规则")
    @ApiModelProperty("规则")
    private String required;

    /**
     * 多行文本框的宽度
     */
    @Excel(name = "多行文本框的宽度")
    @ApiModelProperty("多行文本框的宽度")
    private Integer width;

    /**
     * 多行文框的高度
     */
    @Excel(name = "多行文框的高度")
    @ApiModelProperty("多行文框的高度")
    private Integer high;

    /**
     * 默认值
     */
    @Excel(name = "默认值")
    @ApiModelProperty("默认值")
    private String value;

    /**
     * 配置名称
     */
    @Excel(name = "配置名称")
    @ApiModelProperty("配置名称")
    private String info;

    /**
     * 配置简介
     */
    @Excel(name = "配置简介")
    @ApiModelProperty("配置简介")
    private String descition;

    /**
     * 排序
     */
    @Excel(name = "排序")
    @ApiModelProperty("排序")
    private Integer sort;

    /**
     * 是否隐藏
     */
    @Excel(name = "是否隐藏")
    @ApiModelProperty("是否隐藏")
    private Integer status;

    /**
     * 配置层级0顶级1次级
     */
    @Excel(name = "配置层级0顶级1次级")
    @ApiModelProperty("配置层级0顶级1次级")
    private Integer level;

    /**
     * 关联上级配置id
     */
    @Excel(name = "关联上级配置id")
    @ApiModelProperty("关联上级配置id")
    private Integer linkId;

    /**
     * 关联上级配置的值
     */
    @Excel(name = "关联上级配置的值")
    @ApiModelProperty("关联上级配置的值")
    private Integer linkValue;


}
