package com.yiqi.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

/**
 * 组合数据详情对象 sys_data_group_info
 *
 * @author douya
 * @date 2024-10-29
 */
@ApiModel("组合数据详情")
@TableName("sys_data_group_info")
@Data
public class SysDataGroupInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 组合数据详情ID
     */
    @ApiModelProperty("组合数据详情ID")
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 对应的数据组id
     */
    @Excel(name = "对应的数据组id")
    @ApiModelProperty("对应的数据组id")
    private Integer gid;

    /**
     * 数据组对应的数据值（json数据）
     */
    @Excel(name = "数据组对应的数据值", readConverterExp = "j=son数据")
    @ApiModelProperty("数据组对应的数据值（json数据）")
    private String value;

    /**
     * 数据排序
     */
    @Excel(name = "数据排序")
    @ApiModelProperty("数据排序")
    private Integer sort;

    /**
     * 状态（1：开启；2：关闭；）
     */
    @Excel(name = "状态", readConverterExp = "1=：开启；2：关闭；")
    @ApiModelProperty("状态（1：开启；2：关闭；）")
    private Integer status;


}
