package com.yiqi.system.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.system.domain.SysConfigTab;

/**
 * 配置分类Mapper接口
 *
 * @author douya
 * @date 2024-11-01
 */
@Mapper
public interface SysConfigTabMapper extends BaseMapper<SysConfigTab> {
    //<editor-folder desc="基础韩素">
    /**
     * 查询配置分类
     *
     * @param id 配置分类主键
     * @return 配置分类
     */
    public SysConfigTab selectSysConfigTabById(Integer id);

    /**
     * 查询配置分类列表
     *
     * @param sysConfigTab 配置分类
     * @return 配置分类集合
     */
    public List<SysConfigTab> selectSysConfigTabList(SysConfigTab sysConfigTab);

    /**
     * 新增配置分类
     *
     * @param sysConfigTab 配置分类
     * @return 结果
     */
    public int insertSysConfigTab(SysConfigTab sysConfigTab);

    /**
     * 修改配置分类
     *
     * @param sysConfigTab 配置分类
     * @return 结果
     */
    public int updateSysConfigTab(SysConfigTab sysConfigTab);

    /**
     * 删除配置分类
     *
     * @param id 配置分类主键
     * @return 结果
     */
    public int deleteSysConfigTabById(Integer id);

    /**
     * 批量删除配置分类
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysConfigTabByIds(Integer[] ids);
    //</editor-folder>
}
