package com.yiqi.system.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.system.domain.SysMessageConfig;

/**
 * 消息配置Mapper接口
 *
 * @author douya
 * @date 2024-11-22
 */
@Mapper
public interface SysMessageConfigMapper extends BaseMapper<SysMessageConfig> {
    /**
     * 查询消息配置
     *
     * @param id 消息配置主键
     * @return 消息配置
     */
    public SysMessageConfig selectSysMessageConfigById(Long id);

    /**
     * 查询消息配置列表
     *
     * @param sysMessageConfig 消息配置
     * @return 消息配置集合
     */
    public List<SysMessageConfig> selectSysMessageConfigList(SysMessageConfig sysMessageConfig);

    /**
     * 新增消息配置
     *
     * @param sysMessageConfig 消息配置
     * @return 结果
     */
    public int insertSysMessageConfig(SysMessageConfig sysMessageConfig);

    /**
     * 修改消息配置
     *
     * @param sysMessageConfig 消息配置
     * @return 结果
     */
    public int updateSysMessageConfig(SysMessageConfig sysMessageConfig);

    /**
     * 删除消息配置
     *
     * @param id 消息配置主键
     * @return 结果
     */
    public int deleteSysMessageConfigById(Long id);

    /**
     * 批量删除消息配置
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysMessageConfigByIds(Long[] ids);
    //</editor-folder>
}
